BimpHelp

Investment repayments: Bimp API methods

Bimp API methods for the “Investment repayments” resource (/org2/investmentRepayment/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

Investment repayment documents

MethodWhat it does
POST /org2/investmentRepayment/api-readA request to obtain detailed information for a particular investment repayment document
POST /org2/investmentRepayment/api-readListA request to view a list of investment repayment documents
POST /org2/investmentRepayment/api-createA request to create a investment repayment document
POST /org2/investmentRepayment/api-updateA request to update a investment repayment document

api-read

POST /org2/investmentRepayment/api-read

A request to obtain detailed information for a particular investment repayment document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a investment repayment document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a investment repayment document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
counterpartystring (uuid)A unique uuid key for the investor (counterparty)
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
documentSumnumberTotal amount of the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code
curl -X POST 'https://app.bimpsoft.com/org2/investmentRepayment/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/investmentRepayment/api-readList

A request to view a list of investment repayment documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
filtersobjectFilters for investment repayment list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.authorstring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.counterpartystring (uuid)[]A unique uuid key for the investor (counterparty)
filters.paymentEntitystring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
filters.periodobject[]Date period filter [from, to]

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestringDocument name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].documentSumnumberTotal amount of the document
[].authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].counterpartystring (uuid)A unique uuid key for the investor (counterparty)
[].currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/investmentRepayment/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/investmentRepayment/api-create

A request to create a investment repayment document

Request body (JSON)

FieldTypeRequiredDescription
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)yesThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)yesA unique uuid key for the investor (counterparty)
documentSumnumberyesTotal amount of the document
projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/investmentRepayment/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","documentSum":1,"project":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/investmentRepayment/api-update

A request to update a investment repayment document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a investment repayment document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)A unique uuid key for the investor (counterparty)
documentSumnumberTotal amount of the document
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
ratenumberCurrency exchange rate for the document
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
mutualSettlementTypestring (uuid)A unique uuid key for a mutual settlement type
counterpartyBankAccountstring (uuid)A unique uuid key for the counterparty bank account
cashPaymentTypenumberCash payment type code

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/investmentRepayment/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.